%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           sahara-image-elements
Version:        2015.1.0
Release:        5%{?dist}
Summary:        Image creation tools for Openstack Sahara

License:        ASL 2.0
URL:            https://launchpad.net/sahara
Source0:        http://tarballs.openstack.org/sahara-image-elements/sahara-image-elements-%{version}%{?milestone}.tar.gz
BuildArch:      noarch

#
# patches_base=+1
#
Patch0001: 0001-Removing-git-repo-dependency.patch
Patch0002: 0002-RHEL-compatibility-for-CDH-and-HDP.patch
Patch0003: 0003-Documentation-updates.patch
Patch0004: 0004-Use-install-packages.patch
Patch0005: 0005-Remove-ip6tables-save.patch
Patch0006: 0006-Change-regex-to-match-all-RHEL-6-guests.patch
Patch0007: 0007-Initialize-iptables-before-save.patch
Patch0008: 0008-Increase-disk-size-and-tmpfs-threshold.patch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr >= 0.5.19

Requires: dib-utils
Requires: diskimage-builder >= 0.1.34-21
Requires: rsync
Requires: wget

%description
Sahara-image-elements provides the ability to create the images necessary to generate data processing clusters
in Sahara.

%prep
%setup -q -n sahara-image-elements-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1

rm -rf sahara_image_elements.egg-info
rm -rf elements/.gitignore
rm -rf elements/apt-mirror
rm -rf elements/centos-mirror
rm -rf elements/fedora-mirror
rm -rf elements/hadoop
rm -rf elements/hadoop-cdh
rm -rf elements/hadoop-mapr
rm -rf elements/hive
rm -rf elements/mysql
rm -rf elements/oozie
rm -rf elements/root-passwd
rm -rf elements/spark
rm -rf elements/storm
rm -rf elements/swift_hadoop
rm -rf elements/zookeeper

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
install -p -D -m 755 diskimage-create/sahara-disk-image-create %{buildroot}%{_bindir}/sahara-disk-image-create

%files
%doc AUTHORS LICENSE ChangeLog
%{_bindir}/sahara-disk-image-create
%{_datadir}/sahara-elements
%{python2_sitelib}/sahara_image_elements-%{version}%{?milestone}-py?.?.egg-info

%changelog
* Wed Dec 02 2015 Ethan Gafford <egafford@redhat.com> - 2015.1.0-5
- Increasing disk size and tmpfs threshold for RHEL 7.2
- Resolves: rhbz#1286770
- Initializing iptables before save
- Resolves: rhbz#1286719

* Thu Oct 01 2015 Ethan Gafford <egafford@redhat.com> - 2015.1.0-4
- Changing regex for image to permit all RHEL 6 versions
- Resolves: rhbz#1250925

* Tue Jun 16 2015 Ethan Gafford <egafford@redhat.com> 2015.1.0-3
- Updating image size var for CDH
- Resolves: rhbz#1231934

* Mon May 11 2015 Ethan Gafford <egafford@redhat.com> 2015.1.0-2
- Removing non-functional and unpackaged oracle-java option
- Adding debug tracing option

* Fri May 08 2015 Ethan Gafford <egafford@redhat.com> 2015.1.0-1
- Update to upstream 2015.1.0

* Wed Jan 07 2015 Ethan Gafford <egafford@redhat.com> - 2014.2-3
- Removal of HDP 1.3 and Cloudera from documentation and codebase.

* Tue Jan 06 2015 Ethan Gafford <egafford@redhat.com> - 2014.2-2
- Documentation updates for use without wrapper script.

* Mon Dec 15 2014 Ethan Gafford <egafford@redhat.com> - 2014.2-1
- Initial package.
